<!DOCTYPE html>
<html lang="cs">
<head>
    <meta charset="UTF-8"/>
    <meta
            content="EndeavourOS svobodný operační systém...."
            name="description"
    />
    <meta content="EndeavourOS, MacBook, WiFi" name="keywords"/>
    <meta content="Kankys" name="author"/>

    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <link href="assets/style.css" rel="stylesheet"/>
    <link href="/img/icons.png" rel="shortcut icon"/>
    <script
            crossorigin="anonymous"
            src="https://kit.fontawesome.com/0a43c6cd1f.js"
    ></script>
    <!--icons dark, go to up-->
    <link
            href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css"
            rel="stylesheet"
    />

    <!--ubuntu fonts-->
    <style>
        @import url("https://fonts.googleapis.com/css2?family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap");
    </style>

    <title>
        EndeavourOS - Jak opravit nefunkcní WiFi po instalaci na MacBook Pro 2015
    </title>
</head>
<body>
<?php require "assets/header.php" ?>
<main>
    <section class="welcome">
        <h1>
            EndeavourOS jak opravit nefunkční WiFi po instalaci na MacBook Pro
            2015
        </h1>
        <p>
            Někteří z vás uvažují na starším MacBooku přejít na Linux. Jedna ze
            skvělých distribucí je
            <a href="https://endeavouros.com/" target="_blank">EndeavourOS</a>
            vycházející z
            <a href="https://archlinux.org/" target="_blank">Arch Linux</a>.
        </p>
        <p>
            Bohužel se vám může stát, že po instalaci vám nepůjde WiFI, ale to se
            dá naštěstí velmi dobře opravit.
        </p>
        <p>
            Tuto distribuci je možné nainstalovat pomocí live image offline což je
            výhoda, že nefunkční WiFi se bude řešit až po instalaci.
        </p>
        <hr/>
        <h3>Zprovoznění WiFi:</h3>
        <p>
            Nejprve připojíme přes kabel k Macbooku mobilní telefon který je
            připojený k WiFi . Pokud máte neomezené data nemusíte být na WiFi.
        </p>
        <p>
            Na telefonu po připojení potvrdíte, že důvěřujete tomuto zařízení a
            MacBook se připojí k internetu.
        </p>
        <p>
            V aplikacích najdeme aplikaci Welcome a klikneme na Update Mirrors.
        </p>
        <p>Pak dáme Update System.</p>
        <p>Až se systém aktualizuje přejdeme na samotnou instalaci ovladačů.</p>
        <p>Zapneme aplikaci Terminal (Console).</p>
        <p>A do ní zadáme:</p>
        <div class="code-box">
          <pre id="code-content">
            pacman -S linux-headers
            pacman -S broadcom-wl-dkms
            pacman -S dkms
          </pre>
        </div>
        <p>Tím jsme stáhli ovladače.</p>
        <p>Dále do terminálu zadáme:</p>
        <div class="code-box">
          <pre id="code-content">
            pacman -S broadcom-wl
          </pre>
        </div>
        <p>Pokračujeme dál a zadáme:</p>
        <div class="code-box">
          <pre id="code-content">
            pacman -S broadcom
          </pre>
        </div>
        <p>Tento příkaz by nám měl už zobrazit WiFi v MacBooku.</p>
        <p>Pak restartujte MacBook a WiFi by měla jet.</p>
        <p>
            Návod nezaručuje stoprocentní funkčnost, ale bylozkoušen na více
            MacBooků s procesory Intel.
        </p>
        <code
        ><a href="https://lukaskanka.cz/" target="_blank">Kankys</a>
            18.4.2024</code
        >
    </section>
</main>
<?php require "assets/returnbutton.php" ?>
<?php require "assets/footer.php" ?>
<script src="assets/script.js"></script>
</body>
</html>
